## symmetrize 0.5.5%2Bds2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = symmetrize
SOURCEDIR     = .
BUILDDIR      = .

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
symmetrize (0.5.5+ds2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Nov 2023 12:08:36 +0100

symmetrize (0.5.5+ds2-1) unstable; urgency=low

  * source package automatically created by stdeb 0.10.0

 -- Roland Mas <lolando@debian.org>  Tue, 21 Nov 2023 14:21:36 +0100

## symmetrize 0.5.5+ds2

=== requirements.txt ===
# Dev
numpy
scipy
scikit-image
matplotlib
astropy
photutils
opencv-python

# Packaging
sphinx_rtd_theme
sphinx
recommonmark

=== debian/changelog ===
symmetrize (0.5.5+ds2-4) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090172).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Dec 2024 10:12:23 +0000

symmetrize (0.5.5+ds2-3) unstable; urgency=medium

  * Team Upload
  * Add Vcs tags
  * Apply Multi-Arch: hint
  * Use dh-sequence-python3
  * Use new Team email address

 -- Alexandre Detiste <tchet@debian.org>  Sat, 07 Dec 2024 15:46:42 +0100

=== debian/control ===
Source: symmetrize
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-numpy,
 python3-skimage,
 python3-astropy,
 python3-photutils,
 python3-opencv,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-recommonmark,
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/python-team/packages/symmetrize
Vcs-Git: https://salsa.debian.org/python-team/packages/symmetrize.git
Homepage: https://github.com/RealPolitiX/symmetrize

Package: python3-symmetrize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Symmetrization and centering of 2D pattern
 Symmetrization of 2D pattern using nonrigid landmark registration
 with symmetry constraints. Implemented registration methods include
 projective transform and thin plate spline. Details are given in the
 publication associated with the package.
 .
 This package contains the Python 3 module.

Package: python-symmetrize-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Symmetrization and centering of 2D pattern - documentation
 Symmetrization of 2D pattern using nonrigid landmark registration
 with symmetry constraints. Implemented registration methods include
 projective transform and thin plate spline. Details are given in the
 publication associated with the package.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Tue, 21 Nov 2023 14:21:36 +0100
export PYBUILD_NAME=symmetrize
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -p python-symmetrize-doc
endif


execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
# please also check http://pypi.debian.net/symmetrize/watch
version=3
opts=repack,repacksuffix=+ds2,dversionmangle=auto,uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/symmetrize/symmetrize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
